Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.bpi
Class SwiftOtdBusinessProcessCallableSupport

    java.lang.Object
      com.stc.swift.bpi.SwiftOtdBusinessProcessCallableSupport

    public abstract class SwiftOtdBusinessProcessCallableSupport

extends java.lang.Object

Provides support for making an OTD business process callable.

Version:
  $Revision: 1.5 $

Field Summary
`static java.lang.String` | `MARSHAL_NAME` marshal operation name
`static java.lang.String` | `TNS_PREFIX` Target namespace prefix.
`static java.lang.String` | `UNMARSHAL_NAME` unmarshal operation name
`static java.lang.String` | `WSDL_REPOSITORY_NAME_PREFIX` Repository object name prefix.
`static java.lang.String` | `WSDL_TARGET_NAMESPACE_PREFIX` Target namespace for WSDL.

Method Summary
`static void` | `createRepositoryObject(com.stc.repository.Repository rep, java.lang.String portTypeName, java.lang.String name, com.stc.model.common.ProjectElement projectElement, com.stc.otd.forest.OtdMetaContainer otdMeta)` Generates a WSDL repository object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_TARGET_NAMESPACE_PREFIX

    public static final java.lang.String WSDL_TARGET_NAMESPACE_PREFIX

  Target namespace for WSDL.

  See Also:
    Constant Field Values

### WSDL_REPOSITORY_NAME_PREFIX

    public static final java.lang.String WSDL_REPOSITORY_NAME_PREFIX

  Repository object name prefix.

  See Also:
    Constant Field Values

### TNS_PREFIX

    public static final java.lang.String TNS_PREFIX

  Target namespace prefix.

  See Also:
    Constant Field Values

### MARSHAL_NAME

    public static final java.lang.String MARSHAL_NAME

  marshal operation name

  See Also:
    Constant Field Values

### UNMARSHAL_NAME

    public static final java.lang.String UNMARSHAL_NAME

  unmarshal operation name

  See Also:
    Constant Field Values

Method Detail

### createRepositoryObject

    public static void createRepositoryObject(com.stc.repository.Repository rep,
                                              java.lang.String portTypeName,
                                              java.lang.String name,
                                              com.stc.model.common.ProjectElement projectElement,
                                              com.stc.otd.forest.OtdMetaContainer otdMeta)
                                       throws com.stc.repository.RepositoryException

  Generates a WSDL repository object.

  Parameters:
    `portTypeName` - port type name
    `name` - the name (could be the same as OTD name)
    `projectElement` - the projectElement
  Throws:
    `com.stc.repository.RepositoryException` - repository errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.